import { Table } from "typeorm";
import { getTypeByORM, isUUIDPrimary } from "../ormHelper";

export const member_table = new Table({
  name: "member",
  columns: [
    { name: "id", ...getTypeByORM("uuid"), ...isUUIDPrimary },
    { name: "firstname", ...getTypeByORM("varchar") },
    { name: "lastname", ...getTypeByORM("varchar") },
    { name: "nameaffix", ...getTypeByORM("varchar") },
  ],
});
